## Project description 

`drivtime` was created to summarize the following regulations regarding the calculation of **driving time and rest periods in the road transport sector**.

Regulation (EC) No 561/2006, as amended by Regulation (EU) [2020/1054](https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=celex:32020R1054), lays down rules on driving times, breaks and rest periods for drivers of lorries, coaches and buses in order to improve working conditions and road safety.
Regulation (EU) No 165/2014, as amended by Regulation (EU) 2020/1054, sets out requirements concerning the construction, installation, use, testing and control of tachographs that must be fitted in the vehicles that fall within the scope of Regulation (EC) No 561/2006.

**Regulation (EC) No 561/2006:**

applies to the **carriage by road of goods**, by vehicles with a total mass exceeding 3.5 tonnes and to the **transport by road of passengers**, by vehicles that are adapted to carry more than 9 people (including the driver);
as of 1 July 2026, applies to the carriage by road of goods in international transport or in cabotage operations by vehicles (including any trailer or semi-trailer) with a total mass exceeding 2.5 tonnes;
applies, irrespective of the country of registration of the vehicle, to carriage by road in the EU and between [EU](https://eur-lex.europa.eu/summary/glossary/eu_union.html) countries, Switzerland and [European Economic Area](https://eur-lex.europa.eu/summary/glossary/eea.html) countries.

**Minimum age**

- **Drivers’ mates and conductors** must be at least 18, except in certain circumstances for trainee drivers’ mates for whom the minimum age is 16 (see Article 5 for more details).

**Rules on driving times, breaks and rest periods**

Detailed rules for these are set out in Articles 6, 7, 8 and 9. They include:

- a maximum amount of daily driving time of 9 hours, that can be extended to 10 hours no more than twice a week;
- a maximum amount of weekly driving time of 56 hours;
- a maximum total accumulated driving time of 90 hours during any 2 consecutive weeks;
- after driving for a period of 4.5 hours, a driver must take an uninterrupted break of not less than 45 minutes, unless he takes a rest period;
- a minimum daily rest of 11 hours, which can be reduced to 9 hours, but no more than three times between any 2 weekly rest periods;
- a regular weekly rest period of minimum 45 hours and a reduced weekly rest period of a minimum of 24 hours.

## Requirements


## Installation

Install with pip `pip install drivtime`

## Documentation


## License

See [LICENSE](https://github.com/hugodscarvalho/drivtime/blob/main/LICENSE)